#include <iostream>

using namespace std;
void zamena(double a[], int n) {
    int i, j, tmp;
    for (i = 1; i<n; i++) {
        tmp = a[i];
        for (j = i-1; j >= 0 && a[j] > tmp; j--)
            a[j+1] = a[j];
        a[j+1] = tmp;
    }
}

int main()
{
    int N;
    double zaradadrzave;
    cin>>N;
    double A[N],P[N],maksimum[N],cena;
    int i,j;
    for (i=0; i<N; i++)
    {
        cin>>A[i];
        cin>>P[i];
    }
    for (i=0; i<N; i++)
    {
        for (j=0; j<N; j++)
        {
            if (P[i]<= P[j])
                cena=cena+A[j]*(P[i]/100);
        }
        maksimum[i]=cena;
    }
 zamena(maksimum,N);
 cout<<maksimum[N];

    return 0;
}